List workflow versions (Beta)
curl --request GET \
--url https://api.valyu.ai/v1/workflows/{slug}/versions \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.valyu.ai/v1/workflows/{slug}/versions"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.valyu.ai/v1/workflows/{slug}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"slug": "ib-company-profile",
"versions": [
{
"version": 2,
"recommended_mode": "heavy",
"estimated_time": "10-20 min",
"changelog": "Added a competitive landscape section.",
"created_at": "2026-01-15T09:30:00Z",
"is_current": true
}
]
}{
"success": false,
"error": "Invalid API key"
}{
"success": false,
"error": "API key does not have inference permission"
}{
"error": "workflow_not_found",
"message": "No workflow matches that slug."
}{
"success": false,
"error": "Internal server error. Please try again later."
}Workflows
List Workflow Versions
Reference for listing the immutable version history of a Workflow via GET /v1/workflows//versions.
GET
/
v1
/
workflows
/
{slug}
/
versions
List workflow versions (Beta)
Authorizations
API key for authentication. Get yours at platform.valyu.ai.
Path Parameters
The workflow slug.
Was this page helpful?
⌘I

